{
  "feature": "ageofthegods:tall_thin_twisty_tree",
  "placement": [
    {
      "type": "minecraft:count",
      "count": 15
    },
    {
      "type": "minecraft:rarity_filter",
      "chance": 6
    },
    {
      "type": "minecraft:in_square"
    },
    {
      "type": "minecraft:heightmap",
      "heightmap": "OCEAN_FLOOR"
    },
    {
      "type": "minecraft:block_predicate_filter",
      "predicate": {
        "type": "minecraft:matching_blocks",
        "blocks": [
          "ageofthegods:shale_grass_block",
          "minecraft:sandstone",
          "ageofthegods:shale_block",
          "ageofthegods:limestone_grass_block"
        ],
        "offset": [
          0,
          -1,
          0
        ]
      }
    },
    {
      "type": "minecraft:surface_water_depth_filter",
      "max_water_depth": 0
    },
    {
      "type": "minecraft:biome"
    }
  ]
}